Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.keys
Class SWTKeySupport

    java.lang.Object
      org.eclipse.ui.keys.SWTKeySupport

public final class SWTKeySupport
extends Object

A utility class for converting SWT events into key strokes.

Since:
  3.0

Method Summary
`static KeyStroke` | `convertAcceleratorToKeyStroke(int accelerator)` Given an SWT accelerator value, provide the corresponding key stroke.
`static int` | `convertEventToModifiedAccelerator(Event event)` Converts the given event into an SWT accelerator value -- considering the modified character with the shift modifier.
`static int` | `convertEventToUnmodifiedAccelerator(Event event)` Converts the given event into an SWT accelerator value -- considering the unmodified character with all modifier keys.
`static int` | `convertEventToUnmodifiedAccelerator(KeyEvent event)` Converts the given event into an SWT accelerator value -- considering the unmodified character with all modifier keys.
`static int` | `convertEventToUnshiftedModifiedAccelerator(Event event)` Converts the given event into an SWT accelerator value -- considering the modified character without the shift modifier.
`static int` | `convertKeyStrokeToAccelerator(KeyStroke keyStroke)` Given a key stroke, this method provides the equivalent SWT accelerator value.
`static IKeyFormatter` | `getKeyFormatterForPlatform()` Provides an instance of `IKeyFormatter` appropriate for the current instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### convertAcceleratorToKeyStroke

    public static KeyStroke convertAcceleratorToKeyStroke(int accelerator)

  Given an SWT accelerator value, provide the corresponding key stroke.

  Parameters:
    `accelerator` - The accelerator to convert; should be a valid SWT accelerator value.
  Returns:
    The equivalent key stroke; never `null`.

### convertEventToModifiedAccelerator

    public static int convertEventToModifiedAccelerator(Event event)

  Converts the given event into an SWT accelerator value -- considering the modified character with the shift modifier. This is the third accelerator value that should be checked.

  For example, on a standard US keyboard, "Ctrl+Shift+5" would be viewed as "Ctrl+Shift+%".

  Parameters:
    `event` - The event to be converted; must not be `null`.
  Returns:
    The combination of the state mask and the unmodified character.

### convertEventToUnmodifiedAccelerator

    public static int convertEventToUnmodifiedAccelerator(Event event)

  Converts the given event into an SWT accelerator value -- considering the unmodified character with all modifier keys. This is the first accelerator value that should be checked. However, all alphabetic characters are considered as their uppercase equivalents.

  For example, on a standard US keyboard, "Ctrl+Shift+5" would be viewed as "Ctrl+Shift+5".

  Parameters:
    `event` - The event to be converted; must not be `null`.
  Returns:
    The combination of the state mask and the unmodified character.

### convertEventToUnmodifiedAccelerator

    public static int convertEventToUnmodifiedAccelerator(KeyEvent event)

  Converts the given event into an SWT accelerator value -- considering the unmodified character with all modifier keys. This is the first accelerator value that should be checked. However, all alphabetic characters are considered as their uppercase equivalents.

  For example, on a standard US keyboard, "Ctrl+Shift+5" would be viewed as "Ctrl+%".

  Parameters:
    `event` - The event to be converted; must not be `null`.
  Returns:
    The combination of the state mask and the unmodified character.

### convertEventToUnshiftedModifiedAccelerator

    public static int convertEventToUnshiftedModifiedAccelerator(Event event)

  Converts the given event into an SWT accelerator value -- considering the modified character without the shift modifier. This is the second accelerator value that should be checked. Key strokes with alphabetic natural keys are run through `convertEventToUnmodifiedAccelerator`

  Parameters:
    `event` - The event to be converted; must not be `null`.
  Returns:
    The combination of the state mask without shift, and the modified character.

### convertKeyStrokeToAccelerator

    public static final int convertKeyStrokeToAccelerator(KeyStroke keyStroke)

  Given a key stroke, this method provides the equivalent SWT accelerator value. The functional inverse of `convertAcceleratorToKeyStroke`.

  Parameters:
    `keyStroke` - The key stroke to convert; must not be `null`.
  Returns:
    The SWT accelerator value

### getKeyFormatterForPlatform

    public static IKeyFormatter getKeyFormatterForPlatform()

  Provides an instance of `IKeyFormatter` appropriate for the current instance.

  Returns:
    an instance of `IKeyFormatter` appropriate for the current instance; never `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.